import { provide as o, inject as i, ref as e } from "vue";
const t = /* @__PURE__ */ Symbol("ap-column-setting");
function u(n) {
  o(t, n);
}
function m() {
  return i(t, {
    activeKey: e(),
    cacheConfig: e(),
    deleteTemplate: () => {
    }
  });
}
export {
  t as ApColumnSettingContextKey,
  m as useInjectApColumnSetting,
  u as useProvideApColumnSetting
};
